Message::Passing::Input::ZeroMQ(3pm)

NAME
Message::Passing::Input::ZeroMQ - input messages from ZeroMQ.

SYNOPSIS
    message-passing --output STDOUT --input ZeroMQ --input_options '{"socket_bind":"tcp://*:5552"}'

DESCRIPTION
A Message::Passing ZeroMQ input class.

Can be used as part of a chain of classes with the message-passing utility, or directly as an input with Message::Passing::DSL.

ATTRIBUTES
See "CONNECTION ATTRIBUTES" in Message::Passing::ZeroMQ

  subscribe
If the input socket is a "SUB" socket, then the "ZMQ_SUBSCRIBE" socket option will be set once for each value in the subscribe attribute.

Defaults to '', which means all messages are subscribed to.

SEE ALSO

Message::Passing::ZeroMQ
Message::Passing::Output::ZeroMQ
Message::Passing
ZeroMQ
<http://www.zeromq.org/>

SPONSORSHIP
This module exists due to the wonderful people at Suretec Systems Ltd. <http://www.suretecsystems.com/> who sponsored its development for its VoIP division called SureVoIP <http://www.surevoip.co.uk/> for use with the SureVoIP API - <http://www.surevoip.co.uk/support/wiki/api_documentation>

AUTHOR, COPYRIGHT AND LICENSE
See Message::Passing::ZeroMQ.